import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.event.*;


/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 23.11.2011
  * @author
  */
public class AutoGUI extends JFrame {
  // Anfang Attribute
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JLabel jLabel3 = new JLabel();
  private JLabel jLabel4 = new JLabel();
  private JNumberField nfTankinhalt = new JNumberField();
  private JNumberField nfKilometerstand = new JNumberField();
  private JNumberField nfTanken = new JNumberField();
  private JNumberField nfFahren = new JNumberField();
  private JButton bTanken = new JButton();
  private JButton bFahren = new JButton();
  private JTextField tfKennzeichen = new JTextField();
  private JLabel jlAuto = new JLabel();
    private ImageIcon jlAutoIcon = new ImageIcon("auto1.gif");

  // Assoziation mit Auto
  Auto auto1 = new Auto("DA AB 1234", 56, 7.2);

  // Ende Attribute
  
  public AutoGUI(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);

    int frameWidth = 423; 
    int frameHeight = 242;
    setSize(frameWidth, frameHeight);

    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);

    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    jLabel1.setBounds(24, 16, 54, 28);
    jLabel1.setText("Auto");
    jLabel1.setFont(new Font("Dialog", Font.BOLD, 20));
    cp.add(jLabel1);
    jLabel2.setBounds(24, 64, 86, 20);
    jLabel2.setText("Kennzeichen");
    cp.add(jLabel2);
    jLabel3.setBounds(24, 96, 94, 20);
    jLabel3.setText("Tankinhalt");
    cp.add(jLabel3);
    jLabel4.setBounds(24, 128, 94, 20);
    jLabel4.setText("Kilometerstand");
    cp.add(jLabel4);
    nfTankinhalt.setBounds(136, 96, 91, 20);
    nfTankinhalt.setText("");
    cp.add(nfTankinhalt);
    nfKilometerstand.setBounds(136, 128, 91, 20);
    nfKilometerstand.setText("");
    cp.add(nfKilometerstand);
    nfTanken.setBounds(320, 96, 75, 20);
    nfTanken.setText("10");
    cp.add(nfTanken);
    nfFahren.setBounds(320, 128, 75, 20);
    nfFahren.setText("100");
    cp.add(nfFahren);
    bTanken.setBounds(240, 96, 75, 25);
    bTanken.setText("tanken");
    bTanken.setMargin(new Insets(2, 2, 2, 2));
    bTanken.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent evt) {
          bTanken_ActionPerformed(evt);
        }
      });
    cp.add(bTanken);
    bFahren.setBounds(240, 128, 75, 25);
    bFahren.setText("fahren");
    bFahren.setMargin(new Insets(2, 2, 2, 2));
    bFahren.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent evt) {
          bFahren_ActionPerformed(evt);
        }
      });
    cp.add(bFahren);
    tfKennzeichen.setBounds(136, 64, 91, 20);
    cp.add(tfKennzeichen);
    jlAuto.setBounds(0, 176, 62, 20);
    jlAuto.setText("");
    jlAuto.setIcon(jlAutoIcon);
    cp.add(jlAuto);
    // Ende Komponenten
    setVisible(true);
    anzeigen();
  }

  // Anfang Methoden
  public void bTanken_ActionPerformed(ActionEvent evt) {
    auto1.tanken(nfTanken.getDouble());
    anzeigen();
  }

  public void bFahren_ActionPerformed(ActionEvent evt) {
    auto1.fahren(nfFahren.getDouble());
    anzeigen();
  }

  public void anzeigen() {
    tfKennzeichen.setText(auto1.getKennzeichen());
    nfKilometerstand.setDouble(auto1.getKilometerstand(), 1);
    nfTankinhalt.setDouble(auto1.getTankinhalt(), 1);
    jlAuto.setLocation((int) auto1.getKilometerstand(), jlAuto.getY());
  }

  // Ende Methoden
  public static void main(String[] args) {
    new AutoGUI("AutoGUI");
  }
}
